package com.ibiz5.api.orderapi.resource;

import java.util.List;

import com.ibiz5.sample.domain.IBZ5ORDERDETAIL;
import com.ibiz5.sample.service.IBZ5ORDERDETAILService;
import com.ibiz5.sample.service.dto.IBZ5ORDERDETAILSearchFilter;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.cglib.beans.BeanCopier;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;
import com.ibiz5.api.orderapi.dto.*;
import com.alibaba.fastjson.JSONObject;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiResponse;
import io.swagger.annotations.ApiResponses;

@Api(tags = {"IBZ5ORDERDETAIL" })
@RestController
@RequestMapping("/rest/orderapi/ibz5orderdetail")
public class IBZ5ORDERDETAILResource {

    @Autowired
    private IBZ5ORDERDETAILService ibz5orderdetailService;

	@ApiOperation(value = "Create", tags = {"IBZ5ORDERDETAIL" },  notes = "Create")
    @RequestMapping(method= RequestMethod.POST , value="")
	public IBZ5ORDERDETAILDTO createIBZ5ORDERDETAIL(@RequestBody IBZ5ORDERDETAILDTO dto) {
		IBZ5ORDERDETAIL po = dto.toPO();
		ibz5orderdetailService.create(po);
		dto.fromPO(po);
		return dto;
	}

	@ApiOperation(value = "Update", tags = {"IBZ5ORDERDETAIL" },  notes = "Update")
    @RequestMapping(method= RequestMethod.POST , value="/{ibz5orderdetailid}")
	public IBZ5ORDERDETAILDTO updateIBZ5ORDERDETAIL(@PathVariable String ibz5orderdetailid,@RequestBody IBZ5ORDERDETAILDTO dto) {
		IBZ5ORDERDETAIL po = dto.toPO();
		po.setIbz5orderdetailid(ibz5orderdetailid);
		ibz5orderdetailService.update(po);
		dto.fromPO(po);
		return dto;
	}

}
